Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.theme
Class UIFactory

    java.lang.Object
      org.flexdock.plaf.theme.UIFactory

All Implemented Interfaces:
  XMLConstants

    public class UIFactory

extends Object
implements XMLConstants

Author:
  Christopher Butler

Field Summary
`static String` | `BUTTON_KEY`
`static String` | `DEFAULT`
`static String` | `THEME_KEY`
`static String` | `TITLEBAR_KEY`
`static String` | `VIEW_KEY`

Fields inherited from interface org.flexdock.plaf.XMLConstants
`ATTRIBUTE_KEY, CLASSNAME_KEY, CONSTRUCTOR_KEY, DESC_KEY, EXTENDS_KEY, HANDLER_KEY, INHERITS_KEY, NAME_KEY, OVERRIDDEN_KEY, PROP_HANDLER_KEY, PROPERTY_KEY, REFERENCE_KEY, VALUE_KEY`

Constructor Summary
`UIFactory()`

Method Summary
`static Theme` | `createTheme(Properties p)`
`static ButtonUI` | `getButtonUI(Properties p)`
`static ButtonUI` | `getButtonUI(String name)`
`static Theme` | `getTheme(String name)`
`static TitlebarUI` | `getTitlebarUI(Properties p)`
`static TitlebarUI` | `getTitlebarUI(String name)`
`static ViewUI` | `getViewUI(Properties p)`
`static ViewUI` | `getViewUI(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final String DEFAULT

See Also:
  Constant Field Values

### THEME_KEY

    public static final String THEME_KEY

See Also:
  Constant Field Values

### VIEW_KEY

    public static final String VIEW_KEY

See Also:
  Constant Field Values

### TITLEBAR_KEY

    public static final String TITLEBAR_KEY

See Also:
  Constant Field Values

### BUTTON_KEY

    public static final String BUTTON_KEY

See Also:
  Constant Field Values

Constructor Detail

### UIFactory

    public UIFactory()

Method Detail

### getViewUI

    public static ViewUI getViewUI(String name)

### getViewUI

    public static ViewUI getViewUI(Properties p)

### getTitlebarUI

    public static TitlebarUI getTitlebarUI(String name)

### getTitlebarUI

    public static TitlebarUI getTitlebarUI(Properties p)

### getButtonUI

    public static ButtonUI getButtonUI(String name)

### getButtonUI

    public static ButtonUI getButtonUI(Properties p)

### getTheme

    public static Theme getTheme(String name)

### createTheme

    public static Theme createTheme(Properties p)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD